Main Page Widgets Namespaces Book

# types.h File Reference

## Namespaces

namespace | Gdk
namespace | Glib

## Classes

class | Gdk::Point
| This is a simple structure containing an x and y coordinate of a point. More...
struct | Gdk::AtomStringTraits

## Defines

#define | GDK_VERSION_GT(major, minor) ((GTK_MAJOR_VERSION>major)||(GTK_MAJOR_VERSION==major)&&(GTK_MINOR_VERSION>minor))
#define | GDK_VERSION_GE(major, minor) ((GTK_MAJOR_VERSION>major)||(GTK_MAJOR_VERSION==major)&&(GTK_MINOR_VERSION>=minor))
#define | GDK_VERSION_EQ(major, minor) ((GTK_MAJOR_VERSION==major)&&(GTK_MINOR_VERSION==minor))
#define | GDK_VERSION_NE(major, minor) ((GTK_MAJOR_VERSION!=major)||(GTK_MINOR_VERSION!=minor))
#define | GDK_VERSION_LE(major, minor) ((GTK_MAJOR_VERSION<major)||(GTK_MAJOR_VERSION==major)&&(GTK_MINOR_VERSION<=minor))
#define | GDK_VERSION_LT(major, minor) ((GTK_MAJOR_VERSION<major)||(GTK_MAJOR_VERSION==major)&&(GTK_MINOR_VERSION<minor))

## Typedefs

typedef GdkGeometry | Geometry
typedef GdkNativeWindow | NativeWindow
typedef AtomStringTraits | AtomString
typedef Glib::ArrayHandle< std::string, AtomStringTraits > | ArrayHandle_AtomString

## Enumerations

enum | ByteOrder { LSB_FIRST, MSB_FIRST }
enum | ModifierType { SHIFT_MASK = 1 << 0, LOCK_MASK = 1 << 1, CONTROL_MASK = 1 << 2, MOD1_MASK = 1 << 3, MOD2_MASK = 1 << 4, MOD3_MASK = 1 << 5, MOD4_MASK = 1 << 6, MOD5_MASK = 1 << 7, BUTTON1_MASK = 1 << 8, BUTTON2_MASK = 1 << 9, BUTTON3_MASK = 1 << 10, BUTTON4_MASK = 1 << 11, BUTTON5_MASK = 1 << 12, RELEASE_MASK = 1 << 30, MODIFIER_MASK = 0x40001FFF }
enum | Status { OK = 0, ERROR = -1, ERROR_PARAM = -2, ERROR_FILE = -3, ERROR_MEM = -4 }
enum | InputCondition { INPUT_READ = 1 << 0, INPUT_WRITE = 1 << 1, INPUT_EXCEPTION = 1 << 2 }

## Functions

ModifierType | operator| (ModifierType lhs, ModifierType rhs)
ModifierType | operator& (ModifierType lhs, ModifierType rhs)
ModifierType | operator^ (ModifierType lhs, ModifierType rhs)
ModifierType | operator~ (ModifierType flags)
ModifierType& | operator|= (ModifierType& lhs, ModifierType rhs)
ModifierType& | operator&= (ModifierType& lhs, ModifierType rhs)
ModifierType& | operator^= (ModifierType& lhs, ModifierType rhs)
InputCondition | operator| (InputCondition lhs, InputCondition rhs)
InputCondition | operator& (InputCondition lhs, InputCondition rhs)
InputCondition | operator^ (InputCondition lhs, InputCondition rhs)
InputCondition | operator~ (InputCondition flags)
InputCondition& | operator|= (InputCondition& lhs, InputCondition rhs)
InputCondition& | operator&= (InputCondition& lhs, InputCondition rhs)
InputCondition& | operator^= (InputCondition& lhs, InputCondition rhs)

## Define Documentation

#define GDK_VERSION_EQ | ( | major,
|  | minor |  | ) | ((GTK_MAJOR_VERSION==major)&&(GTK_MINOR_VERSION==minor))

#define GDK_VERSION_GE | ( | major,
|  | minor |  | ) | ((GTK_MAJOR_VERSION>major)||(GTK_MAJOR_VERSION==major)&&(GTK_MINOR_VERSION>=minor))

#define GDK_VERSION_GT | ( | major,
|  | minor |  | ) | ((GTK_MAJOR_VERSION>major)||(GTK_MAJOR_VERSION==major)&&(GTK_MINOR_VERSION>minor))

#define GDK_VERSION_LE | ( | major,
|  | minor |  | ) | ((GTK_MAJOR_VERSION<major)||(GTK_MAJOR_VERSION==major)&&(GTK_MINOR_VERSION<=minor))

#define GDK_VERSION_LT | ( | major,
|  | minor |  | ) | ((GTK_MAJOR_VERSION<major)||(GTK_MAJOR_VERSION==major)&&(GTK_MINOR_VERSION<minor))

#define GDK_VERSION_NE | ( | major,
|  | minor |  | ) | ((GTK_MAJOR_VERSION!=major)||(GTK_MINOR_VERSION!=minor))

## Typedef Documentation

typedef Glib::ArrayHandle<std::string,AtomStringTraits> Gdk::ArrayHandle_AtomString

typedef AtomStringTraits Gdk::AtomString

typedef GdkGeometry Gdk::Geometry

typedef GdkNativeWindow Gdk::NativeWindow